[
    {
        "Id": "801fe8a5d397c11365d58629c0a5d527ee8cc8dfb029b631e2b631ef70fb1f94",
        "Created": "2025-08-23T06:09:20.087906848Z",
        "Path": "tini",
        "Args": [
            "--",
            "python",
            "-m",
            "immich_ml"
        ],
        "State": {
            "Status": "running",
            "Running": true,
            "Paused": false,
            "Restarting": false,
            "OOMKilled": false,
            "Dead": false,
            "Pid": 290926,
            "ExitCode": 0,
            "Error": "",
            "StartedAt": "2025-08-23T06:09:20.140065916Z",
            "FinishedAt": "0001-01-01T00:00:00Z",
            "Health": {
                "Status": "healthy",
                "FailingStreak": 0,
                "Log": [
                    {
                        "Start": "2025-08-23T21:47:12.639610557-04:00",
                        "End": "2025-08-23T21:47:13.207983913-04:00",
                        "ExitCode": 0,
                        "Output": ""
                    },
                    {
                        "Start": "2025-08-23T21:47:43.209246403-04:00",
                        "End": "2025-08-23T21:47:43.715691874-04:00",
                        "ExitCode": 0,
                        "Output": ""
                    },
                    {
                        "Start": "2025-08-23T21:48:13.717227027-04:00",
                        "End": "2025-08-23T21:48:14.238223261-04:00",
                        "ExitCode": 0,
                        "Output": ""
                    },
                    {
                        "Start": "2025-08-23T21:48:44.239244128-04:00",
                        "End": "2025-08-23T21:48:44.719235415-04:00",
                        "ExitCode": 0,
                        "Output": ""
                    },
                    {
                        "Start": "2025-08-23T21:49:14.720118929-04:00",
                        "End": "2025-08-23T21:49:15.198060262-04:00",
                        "ExitCode": 0,
                        "Output": ""
                    }
                ]
            }
        },
        "Image": "sha256:11dd538d6c23a5422712da65e7300aa814995089c189bbf92c6aa9f34aab26fe",
        "ResolvConfPath": "/var/lib/docker/containers/801fe8a5d397c11365d58629c0a5d527ee8cc8dfb029b631e2b631ef70fb1f94/resolv.conf",
        "HostnamePath": "/var/lib/docker/containers/801fe8a5d397c11365d58629c0a5d527ee8cc8dfb029b631e2b631ef70fb1f94/hostname",
        "HostsPath": "/var/lib/docker/containers/801fe8a5d397c11365d58629c0a5d527ee8cc8dfb029b631e2b631ef70fb1f94/hosts",
        "LogPath": "/var/lib/docker/containers/801fe8a5d397c11365d58629c0a5d527ee8cc8dfb029b631e2b631ef70fb1f94/801fe8a5d397c11365d58629c0a5d527ee8cc8dfb029b631e2b631ef70fb1f94-json.log",
        "Name": "/immich_machine_learning",
        "RestartCount": 0,
        "Driver": "overlay2",
        "Platform": "linux",
        "MountLabel": "",
        "ProcessLabel": "",
        "AppArmorProfile": "docker-default",
        "ExecIDs": null,
        "HostConfig": {
            "Binds": [
                "immich_model-cache:/cache:rw"
            ],
            "ContainerIDFile": "",
            "LogConfig": {
                "Type": "json-file",
                "Config": {}
            },
            "NetworkMode": "immich_default",
            "PortBindings": {},
            "RestartPolicy": {
                "Name": "always",
                "MaximumRetryCount": 0
            },
            "AutoRemove": false,
            "VolumeDriver": "",
            "VolumesFrom": null,
            "ConsoleSize": [
                0,
                0
            ],
            "CapAdd": null,
            "CapDrop": null,
            "CgroupnsMode": "private",
            "Dns": [],
            "DnsOptions": [],
            "DnsSearch": [],
            "ExtraHosts": [],
            "GroupAdd": null,
            "IpcMode": "private",
            "Cgroup": "",
            "Links": null,
            "OomScoreAdj": 0,
            "PidMode": "",
            "Privileged": false,
            "PublishAllPorts": false,
            "ReadonlyRootfs": false,
            "SecurityOpt": null,
            "UTSMode": "",
            "UsernsMode": "",
            "ShmSize": 67108864,
            "Runtime": "runc",
            "Isolation": "",
            "CpuShares": 0,
            "Memory": 0,
            "NanoCpus": 0,
            "CgroupParent": "",
            "BlkioWeight": 0,
            "BlkioWeightDevice": null,
            "BlkioDeviceReadBps": null,
            "BlkioDeviceWriteBps": null,
            "BlkioDeviceReadIOps": null,
            "BlkioDeviceWriteIOps": null,
            "CpuPeriod": 0,
            "CpuQuota": 0,
            "CpuRealtimePeriod": 0,
            "CpuRealtimeRuntime": 0,
            "CpusetCpus": "",
            "CpusetMems": "",
            "Devices": null,
            "DeviceCgroupRules": null,
            "DeviceRequests": null,
            "MemoryReservation": 0,
            "MemorySwap": 0,
            "MemorySwappiness": null,
            "OomKillDisable": null,
            "PidsLimit": null,
            "Ulimits": null,
            "CpuCount": 0,
            "CpuPercent": 0,
            "IOMaximumIOps": 0,
            "IOMaximumBandwidth": 0,
            "MaskedPaths": [
                "/proc/asound",
                "/proc/acpi",
                "/proc/interrupts",
                "/proc/kcore",
                "/proc/keys",
                "/proc/latency_stats",
                "/proc/timer_list",
                "/proc/timer_stats",
                "/proc/sched_debug",
                "/proc/scsi",
                "/sys/firmware",
                "/sys/devices/virtual/powercap",
                "/sys/devices/system/cpu/cpu0/thermal_throttle",
                "/sys/devices/system/cpu/cpu1/thermal_throttle",
                "/sys/devices/system/cpu/cpu2/thermal_throttle",
                "/sys/devices/system/cpu/cpu3/thermal_throttle"
            ],
            "ReadonlyPaths": [
                "/proc/bus",
                "/proc/fs",
                "/proc/irq",
                "/proc/sys",
                "/proc/sysrq-trigger"
            ]
        },
        "GraphDriver": {
            "Data": {
                "ID": "801fe8a5d397c11365d58629c0a5d527ee8cc8dfb029b631e2b631ef70fb1f94",
                "LowerDir": "/var/lib/docker/overlay2/9c83084dd16e6d97237d28dba419a57a79068b354018a50d9d254899f02984cb-init/diff:/var/lib/docker/overlay2/279c7c63d651b882aa8c9fd504dbd38e7fc585a75123bd74bce518e283afb0f7/diff:/var/lib/docker/overlay2/b5120874880c9ca742e18f2509fc54099805bb642585cc6116ce83d5745f43b1/diff:/var/lib/docker/overlay2/59042ffcca4cd1a17e91e184c7d20158f082d744d86960a59243363ec33f0f29/diff:/var/lib/docker/overlay2/3293574b974a25564ff4cb565460d34e6f7efb5cbb6dbdb020e67a5f68ad526c/diff:/var/lib/docker/overlay2/47377a049712c0f58d83866ff70b7bbd948b7b49ab70aabfbf4f874dfce75318/diff:/var/lib/docker/overlay2/2d8996e667dc41f543db98b778706cbb538d9c42ccdcc2f2ffbec5bc036b776e/diff:/var/lib/docker/overlay2/d0bb41b4efbbcb448220ad2fabf10bf63648eacbc34edaa6670c1b751e254aee/diff:/var/lib/docker/overlay2/c5ed5a72fab4b9ac91e3f7bb2f2e15f773aa4d4f42b044f946a8c138c79b3035/diff:/var/lib/docker/overlay2/c6e2953a1cb2233c8d69b740141877c8d21eb4e61af93e3139bd77d2b6c32b71/diff:/var/lib/docker/overlay2/389a9e943477a96ce08bbfd8f7248412a489b53f4d155406faf49ffae361767a/diff:/var/lib/docker/overlay2/1f5a786533f2d1e2a4cffee219c6ab73318431829f8b81de21e0fcb32e395c0c/diff",
                "MergedDir": "/var/lib/docker/overlay2/9c83084dd16e6d97237d28dba419a57a79068b354018a50d9d254899f02984cb/merged",
                "UpperDir": "/var/lib/docker/overlay2/9c83084dd16e6d97237d28dba419a57a79068b354018a50d9d254899f02984cb/diff",
                "WorkDir": "/var/lib/docker/overlay2/9c83084dd16e6d97237d28dba419a57a79068b354018a50d9d254899f02984cb/work"
            },
            "Name": "overlay2"
        },
        "Mounts": [
            {
                "Type": "volume",
                "Name": "immich_model-cache",
                "Source": "/var/lib/docker/volumes/immich_model-cache/_data",
                "Destination": "/cache",
                "Driver": "local",
                "Mode": "rw",
                "RW": true,
                "Propagation": ""
            }
        ],
        "Config": {
            "Hostname": "ed635b523fdf",
            "Domainname": "",
            "User": "",
            "AttachStdin": false,
            "AttachStdout": true,
            "AttachStderr": true,
            "Tty": false,
            "OpenStdin": false,
            "StdinOnce": false,
            "Env": [
                "TZ=America/New_York",
                "PATH=/opt/venv/bin:/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin",
                "LANG=C.UTF-8",
                "GPG_KEY=A035C8C19219BA821ECEA86B64E628F8D684696D",
                "PYTHON_VERSION=3.11.13",
                "PYTHON_SHA256=8fb5f9fbc7609fa822cb31549884575db7fd9657cbffb89510b5d7975963a83a",
                "LD_PRELOAD=/usr/lib/libmimalloc.so.2",
                "TRANSFORMERS_CACHE=/cache",
                "PYTHONDONTWRITEBYTECODE=1",
                "PYTHONUNBUFFERED=1",
                "PYTHONPATH=/usr/src",
                "DEVICE=cpu",
                "VIRTUAL_ENV=/opt/venv",
                "MACHINE_LEARNING_CACHE_FOLDER=/cache",
                "IMMICH_BUILD=17162633807",
                "IMMICH_BUILD_URL=https://github.com/immich-app/immich/actions/runs/17162633807",
                "IMMICH_BUILD_IMAGE=v1.139.2",
                "IMMICH_BUILD_IMAGE_URL=https://github.com/immich-app/immich/pkgs/container/immich-machine-learning",
                "IMMICH_REPOSITORY=immich-app/immich",
                "IMMICH_REPOSITORY_URL=https://github.com/immich-app/immich",
                "IMMICH_SOURCE_REF=v1.139.2",
                "IMMICH_SOURCE_COMMIT=571504aa5e691ee76edc8706f426d1d49aafa7a8",
                "IMMICH_SOURCE_URL=https://github.com/immich-app/immich/commit/571504aa5e691ee76edc8706f426d1d49aafa7a8"
            ],
            "Cmd": [
                "python",
                "-m",
                "immich_ml"
            ],
            "Healthcheck": {
                "Test": [
                    "CMD-SHELL",
                    "python3 healthcheck.py"
                ]
            },
            "Image": "ghcr.io/immich-app/immich-machine-learning:release",
            "Volumes": null,
            "WorkingDir": "/usr/src",
            "Entrypoint": [
                "tini",
                "--"
            ],
            "OnBuild": null,
            "Labels": {
                "com.docker.compose.config-hash": "c6927d67121fb8e7a221615ad54be052857250bda952fa8c5da6e043f097e93f",
                "com.docker.compose.container-number": "1",
                "com.docker.compose.depends_on": "",
                "com.docker.compose.image": "sha256:a79f26b9776125f8fe4ae95b84c44abf36813629f531853bde2a5225e6f0b977",
                "com.docker.compose.oneoff": "False",
                "com.docker.compose.project": "immich",
                "com.docker.compose.project.config_files": "/srv/mergerfs/presscloud/docker/immich/immich.yml",
                "com.docker.compose.project.working_dir": "/srv/mergerfs/presscloud/docker/immich",
                "com.docker.compose.service": "immich-machine-learning",
                "com.docker.compose.version": "2.39.1",
                "org.opencontainers.image.created": "2025-08-22T18:08:25.680Z",
                "org.opencontainers.image.description": "High performance self-hosted photo and video management solution.",
                "org.opencontainers.image.licenses": "AGPL-3.0",
                "org.opencontainers.image.revision": "571504aa5e691ee76edc8706f426d1d49aafa7a8",
                "org.opencontainers.image.source": "https://github.com/immich-app/immich",
                "org.opencontainers.image.title": "immich",
                "org.opencontainers.image.url": "https://github.com/immich-app/immich",
                "org.opencontainers.image.version": "v1.139.2"
            }
        },
        "NetworkSettings": {
            "Bridge": "",
            "SandboxID": "d4a5003160bde10f76739aca8ff49e04c3e427d5ecd9b73107a23bbb24485532",
            "SandboxKey": "/var/run/docker/netns/d4a5003160bd",
            "Ports": {},
            "HairpinMode": false,
            "LinkLocalIPv6Address": "",
            "LinkLocalIPv6PrefixLen": 0,
            "SecondaryIPAddresses": null,
            "SecondaryIPv6Addresses": null,
            "EndpointID": "",
            "Gateway": "",
            "GlobalIPv6Address": "",
            "GlobalIPv6PrefixLen": 0,
            "IPAddress": "",
            "IPPrefixLen": 0,
            "IPv6Gateway": "",
            "MacAddress": "",
            "Networks": {
                "immich_default": {
                    "IPAMConfig": null,
                    "Links": null,
                    "Aliases": [
                        "immich_machine_learning",
                        "immich-machine-learning",
                        "ed635b523fdf"
                    ],
                    "MacAddress": "a6:ee:67:f4:b5:b1",
                    "DriverOpts": null,
                    "GwPriority": 0,
                    "NetworkID": "b51092ec139cacc7aafb173e3816a9492168eca2b11ab5721f36b3c7d77f7b26",
                    "EndpointID": "12c01c64e63951199a587c94f3c167701a81150eb57a1d0fccb83a2ad10ad2ed",
                    "Gateway": "172.22.0.1",
                    "IPAddress": "172.22.0.2",
                    "IPPrefixLen": 16,
                    "IPv6Gateway": "",
                    "GlobalIPv6Address": "",
                    "GlobalIPv6PrefixLen": 0,
                    "DNSNames": [
                        "immich_machine_learning",
                        "immich-machine-learning",
                        "ed635b523fdf",
                        "801fe8a5d397"
                    ]
                }
            }
        }
    }
]
